@ rem -  Library:       WebSphere MQ
@ rem -  Component:     WMQ SOAP Sample Programs
@ rem -  Part:          SecondAxis.java
@ rem - 
@ rem -   <START_COPYRIGHT> 
@ rem -   Licensed Materials - Property of IBM 
@ rem -                    
@ rem -   5724-B41         
@ rem -   (C) Copyright IBM Corp. 1994, 2003 All Rights Reserved. 
@ rem -                    
@ rem -   US Government Users Restricted Rights - Use, duplication or 
@ rem -   disclosure restricted by GSA ADP Schedule Contract with 
@ rem -   IBM Corp.        
@ rem -   <END_COPYRIGHT>
@ rem - setup classpath and path as required for WMQSoap
@ rem - make sure we are working in our own directory
@ rem - and get MA0R_HOME as an absolute paths usbale from anywhere
@ rem - but without the .. noise
@echo off

rem - regenerate and redeploy the demo from the source
setlocal

echo clean up old directories and files
rmdir /s /q helpers
rmdir /s /q classes
erase /q server-config.wsdd
rem - force reregistration
erase /q ..\bin\RegisterDotNET.log

echo setup environment
call ..\bin\setcp

echo check MQ bits ready
call setupMQ

echo deploy the Axis server (generate proxies, etc)
call deployWMQService -m MQSOAP.DEMO.QM javaDemos\server\StockQuoteAxis.java

echo deploy the dotNet server (generate proxies, etc)
call deployWMQService -m MQSOAP.DEMO.QM StockQuoteDotNet.asmx

rem - compile the clients
rem - make sure the proxies are high in the serach path
echo Recompile the clients, using the proxies just generated
set classpath=helpers\classes;%classpath%
javac -d classes javaDemos\clients\*.java
call quietOK csc /lib:..\bin /r:MQSOAP.dll dotNetDemos\clients\SQCS2DotNet.cs helpers\*.cs
call quietOK csc /lib:..\bin /r:MQSOAP.dll dotNetDemos\clients\SQCS2Axis.cs helpers\*.cs
call quietOK vbc /libpath:..\bin /r:MQSOAP.dll /r:System.Web.Services.dll /r:System.XML.dll /r:System.dll  dotNetDemos\clients\SQVB2DotNet.vb helpers\*.vb
call quietOK vbc /libpath:..\bin /r:MQSOAP.dll /r:System.Web.Services.dll /r:System.XML.dll /r:System.dll  dotNetDemos\clients\SQVB2Axis.vb helpers\*.vb
call quietOK vbc /libpath:..\bin /r:MQSOAP.dll /r:System.Drawing.dll /r:System.Windows.Forms.dll /r:System.Web.Services.dll /r:System.XML.dll /r:System.dll /main:WMQSoapGui  dotNetDemos\clients\WMQSoapGui.vb helpers\*.vb

echo Configure the client to make sure that Axis clients know about wmq:xxx
call ..\bin\clientConfig

echo Demo regerenated
endlocal

